#include "ginycanvibase.h"
#include "ui_ginycanvibase.h"

GinyCanviBase::GinyCanviBase(QWidget *parent)
    : QWidget(parent)
    , ui(new Ui::GinyCanviBase)
{
    ui->setupUi(this);
}

GinyCanviBase::~GinyCanviBase()
{
    delete ui;
}


void GinyCanviBase::on_leDec_textChanged(const QString &arg1)
{
    bool bOk;

    int n = arg1.toInt(&bOk);

    if(bOk){
        ui->etDec->setText("Dec: ");
        QString qsz;

        ui->leBin->setText(qsz.number(n,2));
        ui->leHex->setText(qsz.number(n,16));
        ui->leOct->setText(qsz.number(n,8));
    }else{
        ui->etDec->setText("Dec ?");
        ui->leBin->setText(NO_CONVERTIBLE);
        ui->leHex->setText(NO_CONVERTIBLE);
        ui->leOct->setText(NO_CONVERTIBLE);
    }
}
